%define upstream_name Horde_Token
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.4
Release:     	%mkrel 1
Summary:    	Horde Token API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception < 2.0.0
Requires:  	php-pear-Horde_Translation < 2.0.0
Requires:  	php-pear-Horde_Url < 2.0.0
Requires:  	php-pear-Horde_Util < 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Url = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Token = %{version}
Obsoletes:	horde-token

%description
The Horde_Token:: class provides a common abstracted interface into the
various token generation mediums. It also includes all of the functions for
retrieving, storing, and checking tokens.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Token.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Token.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Token
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Token/COPYING
%{peardir}/*
%{xmldir}/Horde_Token.xml


%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.1.4-1.mga2
+ Revision: 183416
- upgrade to 1.1.4

* Mon Nov 28 2011 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 173401
- upgrade to 1.1.3

* Mon Nov 14 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 167428
- upgrade to 1.1.2
- added back in the file section %%{peardir}/*
- added %%define _requires_exceptions pear(tests/migration/Horde/Token/1_horde_token_base_tables.php) to get around this files location problem
- upgrade to 1.1.0
- imported package php-pear-Horde_Token

